//+------------------------------------------------------------------+
//|                                                     eaReplay.mq4 |
//|                        Copyright 2013, MetaQuotes Software Corp. |
//|                                        http://www.metaquotes.net |
//+------------------------------------------------------------------+
#property copyright "Copyright 2013, MetaQuotes Software Corp."
#property link      "http://www.metaquotes.net"

#include <stderror.mqh>
#include <stdlib.mqh>

double numlot = 0.01;

extern int magicNumber = 20120724;

//+------------------------------------------------------------------+
//| expert initialization function                                   |
//+------------------------------------------------------------------+
int init()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert deinitialization function                                 |
//+------------------------------------------------------------------+
int deinit()
  {
//----
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
//| expert start function                                            |
//+------------------------------------------------------------------+
int start()
  {
//----

   computeScript();
   
//----
   return(0);
  }
//+------------------------------------------------------------------+
void computeScript()
{
  if(GlobalVariableCheck("OpenBuy"))
    OpenBuy();

  if(GlobalVariableCheck("CloseBuy"))
    CloseBuy();

    deleteGlobalVariable();
}
//+------------------------------------------------------------------+
void OpenBuy()
{
	int numOrdre = 0;
	RefreshRates();
//	Print("openBuy()  -  Ask : ",  Ask, "  -  Bid : ",  Bid, "dBestBuyPrice : ",  dBestBuyPrice,  dBestBuyPrice - 0.001 );

	numOrdre=OrderSend(Symbol(),OP_BUY,0.01,Ask,3,NULL,0,"",magicNumber,0,CLR_NONE);
	if (numOrdre==0) {
		processError("Problme ouverture Ordre : " + ErrorDescription(GetLastError()));
	}
}
//+------------------------------------------------------------------+
void CloseBuy() {
	for(int i = OrdersTotal() - 1; i >= 0; i--) {
		if(OrderSelect(i,SELECT_BY_POS,MODE_TRADES) && (OrderType()==OP_BUY) && (OrderSymbol()==Symbol())) {
			closeOrder(OrderTicket());
		}
	}
}
//+------------------------------------------------------------------+
void closeOrder(int numOrdre) {

	if(OrderSelect(numOrdre, SELECT_BY_TICKET)==true) {
		RefreshRates();
		numlot = OrderLots();
		if (OrderClose(numOrdre,numlot,Bid,3))
		{ processError("Passage fermeture Ordre - Changement etat de ordre");}
		else
		{ processError("Probleme fermeture ordre " + ErrorDescription(GetLastError()));}
	}

}
//+------------------------------------------------------------------+
void deleteGlobalVariable() {
    GlobalVariableDel("OpenBuy");
    GlobalVariableDel("CloseBuy");
}
//+------------------------------------------------------------------+
void processError(string msgError) {
	Print("Error Message : ",msgError);
}
//+------------------------------------------------------------------+

